Skip to main content
GET
/
api
/
leads
/
search
Error
A valid request URL is required to generate request examples
{
  "leads": [
    {
      "id": 123,
      "name": "<string>",
      "phone": "<string>",
      "email": "",
      "status": "new",
      "accountId": "<string>",
      "source": "api",
      "tags": [
        "<string>"
      ],
      "assignedAgentId": "<string>",
      "abTestId": "<string>",
      "agentAssignedBy": "auto",
      "customFields": {},
      "lastContactedAt": "2023-11-07T05:31:56Z",
      "importBatchId": "<string>",
      "externalId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key prefixed with nl_live_ or nl_test_

Query Parameters

q
string
required

Search query (minimum 2 characters)

Minimum string length: 2
limit
integer
default:10

Maximum number of results to return

Required range: x <= 50

Response

Matching leads

leads
object[]
required